package com.smcic.api.epg.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class Program {

    private Integer id;

    @TableField("Title")
    private String title;

    @TableField("Category")
    private Integer category;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("Broadcast_Date")
    private LocalDate broadcastDate;

    private String channelName;

    @TableField(exist = false)
    private Integer status = 0;
}
